TIDY_CHANGELOG(1)

NAME
tidy_changelog - command-line tool for CPAN::Changes

SYNOPSIS
    $ tidy_changelog Changelog

DESCRIPTION
Takes a changelog file, parse it using CPAN::Changes and prints out the resulting output. If a file is not given, the program will see if there is one file in the current directory beginning by 'change' (case-insensitive) and, if so, assume it to be the changelog.

ARGUMENTS

  --next
If provided, assumes that there is a placeholder header for an upcoming next release. The placeholder token is given via --token.

  --token
Regular expression to use to detect the token for an upcoming release if --next is used. If not explicitly given, defaults to "\{\{\$NEXT\}\}".

  --headers
If given, only print out the release header lines, without any of the changes.

  --reverse
Prints the releases in reverse order (from the oldest to latest).

  --check
Only check if the changelog is formatted properly using the changes_file_ok function of Test::CPAN::Changes.

  --help
This help